import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
export interface IAuthorizerOptionsJwks {
    readonly uri: string;
    readonly kid: string;
}
export interface IAuthorizerOptions {
    readonly tokenPayloadJsonSchema?: string;
    readonly secret?: string;
    readonly jwks?: IAuthorizerOptionsJwks;
}
export interface TokenAuthorizerJwtFunctionOptions extends lambda.FunctionOptions {
    readonly authorizerOptions: IAuthorizerOptions;
}
export declare class TokenAuthorizerJwtFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props: TokenAuthorizerJwtFunctionOptions);
}
